<ion-content>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-item>
            <ion-label>{{ 'Securities >> Guards' | translate }}</ion-label>
        </ion-item>
    </ion-toolbar>
    <ion-refresher slot="fixed" (ionRefresh)="onRefresh($event)">
        <ion-refresher-content pullingIcon="arrow-down" refreshingSpinner="circles">
        </ion-refresher-content>
    </ion-refresher>
    <ion-button (click)="addSecurityGuard()" expand="block">{{ 'Add Security Guard' | translate }}</ion-button>

    <div *ngIf="!this.cache?.isLoading">
        <ion-list *ngFor="let securityGuard of this.cache?.objects; index as i">
            <ion-card [routerLink]="['/society/securities/guards/update-security-guard',securityGuard.id]">
                <ion-item>
                    <ion-avatar slot="start">
                        <img [src]="securityGuard.profilePicture.content">
                    </ion-avatar>
                    <ion-label>{{securityGuard.name}}</ion-label>
                </ion-item>
                <div>
                    <ion-grid>

                        <ion-row>
                            <ion-label>
                                <ion-icon name="call"></ion-icon>
                                {{ securityGuard?.phoneNumber }}
                            </ion-label>
                        </ion-row>

                        <ion-row>
                            <ion-label>
                                <ion-icon name="key"></ion-icon>
                                {{ securityGuard?.pin }}
                            </ion-label>
                        </ion-row>

                        <ion-row *ngIf="securityGuard?._cache_pending_operation == 'add'" style="color: orangered">
                            <ion-label>
                                <ion-icon name="alert"> </ion-icon>
                                {{ 'ADDED: not synced to server' | translate }}
                            </ion-label>
                        </ion-row>
                        <ion-row *ngIf="securityGuard?._cache_pending_operation == 'update'" style="color: goldenrod">
                            <ion-label>
                                <ion-icon name="alert">r</ion-icon>
                                {{ 'UPDATED: not synced to server' | translate }}
                            </ion-label>
                        </ion-row>
                        <ion-row *ngIf="securityGuard?._cache_pending_operation == 'delete'" style="color: red">
                            <ion-label>
                                <ion-icon name="alert">r</ion-icon>
                                {{ 'DELETED: not synced to server' | translate }}
                            </ion-label>
                        </ion-row>

                    </ion-grid>
                </div>
            </ion-card>
        </ion-list>
        <ion-card *ngIf="!this.cache?.isLoading && this.cache?.objects.length==0">
            <ion-item>
                <ion-label>{{ 'No records found!!!' | translate }}</ion-label>
            </ion-item>
        </ion-card>
        <ion-infinite-scroll threshold="100px" (ionInfinite)="loadNext($event)">
            <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading ...">
            </ion-infinite-scroll-content>
        </ion-infinite-scroll>
    </div>

    <ion-card *ngIf="this.cache?.isLoading && this.cache?.objects.length==0">
        <ion-card-header>
            <ion-card-title>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-title>
            <ion-card-subtitle>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-subtitle>
        </ion-card-header>

        <ion-card-content>
            <ion-item>
                <ion-label>
                    <ion-skeleton-text animated></ion-skeleton-text>
                </ion-label>
            </ion-item>
            <div>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
            </div>
        </ion-card-content>
    </ion-card>
</ion-content>